@echo off
set DISTRO=%1
echo %DISTRO%
if not defined DISTRO goto DONE

devenv Perforce.sln /build %DISTRO%

mkdir dist\%DISTRO%
attrib -R dist\%DISTRO%\*
xcopy /d /y Perforce\bin\%DISTRO%\hosts.json dist\%DISTRO%
xcopy /d /y Perforce\bin\%DISTRO%\*.dll dist\%DISTRO%
xcopy /d /y Perforce\bin\%DISTRO%\Perforce.exe dist\%DISTRO%\Piper.exe

if "%DISTRO%" == "Release" (
   devenv Piper_Installer.sln /build Release
   xcopy /d /y Piper_Installer\bin\Release\Piper_Installer.msi dist\Release
)

p4 reconcile dist/...

:DONE
echo Exiting...
